Subject: Re: [atn] Embedding IP information in an IPv6 address (OMNI)

From: "Templin (US), Fred L" <[email-masked]>
Date: Fri, 9 Oct 2020 21:08:01 +0000

Bob,

> RFC 8064 updates all recommendations on content of the 64 bit Interface portion of IPv6.

Thanks for the feedback. For the record, OMNI does not use either SLAAC nor stable
link-layer addresses in the interface identifier so RFC8064 does not apply.

Fred

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Wed, 14 Oct 2020 19:04:36 +0000

See below:

> -----Original Message-----
> From: 神明達哉 [mailto:[email-masked]]
> Sent: Wednesday, October 14, 2020 11:39 AM
> To: Templin (US), Fred L <[email-masked]>
> Cc: Robert Moskowitz <[email-masked]>; 6man <[email-masked]>; [email-masked]
> Subject: Re: Embedding IP information in an IPv6 address (OMNI)
> 
> At Tue, 13 Oct 2020 23:16:14 +0000,
> "Templin (US), Fred L" <[email-masked]> wrote:
> 
> > > I don't necessarily say such a change is never possible, but if
> > > there's a lesson from that previous discussion, it would be that it's
> > > not as easy/trivial as you might think.
> >
> > What in your opinion would be easier - a) update RFC4291 to allow coding of
> > the link-local address 54 zero bits, or b) update RFC4861 to allow routers to use
> > site-local addresses instead of link-local?
> >
> > We need a good answer for this - either a) or b). The benefit of what is being
> > proposed by OMNI is too great to simply say no to both.
> 
> Both a and b seem to me to be equally fundamental and therefore
> equally challenging.  If the benefit is really so great (which I don't
> know), though, you should be able to persuade the WG to make the
> update - all I can say at this moment is "good luck:-)".

With all wishes for luck greatly appreciated, I will answer myself and say that
what we really want - and what we need - is *both* a) and b). Link-locals and
Site-locals both - we can put both address ranges to good use!

Thanks - Fred

> --
> JINMEI, Tatuya

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Sat, 17 Oct 2020 15:55:35 +0000

Hi Bert,

> From: atn [mailto:[email-masked]] On Behalf Of Manfredi (US), Albert E
> Sent: Friday, October 16, 2020 2:47 PM
> To: Ole Troan <[email-masked]>
> Cc: [email-masked]; [email-masked]
> From: ipv6 <[email-masked]> On Behalf Of Ole Troan
> 
> > I would challenge you to make OMNI entirely free from semantic addresses. That would also help the working group understand
> what benefits semantic addresses bring to OMNI. And what the tradeoffs would be.
> 
> I think it's a matter of speed and simplicity, no? You avoid that extra protocol, to assign addresses. Same idea as embedding the MAC
> into the IPv6 address.

No, it is very different - OMNI addresses embed only L3 information, whereas MAC
addresses represent L2 information. OMNI addresses do not embed any L2 info.

> But it's true that the IETF likes to stay away from semantic addresses.
> 
> The path of least resistance, from all the back and forth, as of now, seems to be to either use ULAs, or to request a new /10 for this
> new purpose.

We are not in this to take the path of least resistance; we are in it to take
the path or paths that best serve the community even if some early-stage
resistance needs to be overcome.

As I have said, we will want and need all four of LLAs, SLAs, ULAs and GUAs;
all have their purpose in the future mobile Internet architecture.

Thanks - Fred
 
> Bert
> 
> --
> atn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/atn

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Sat, 17 Oct 2020 20:58:01 +0000

Eduard,

> From: Vasilenko Eduard [mailto:[email-masked]]
> Sent: Saturday, October 17, 2020 1:21 PM
> To: Templin (US), Fred L <[email-masked]>; Bob Hinden <[email-masked]>
> Cc: IPv6 List <[email-masked]>; [email-masked]
> Subject: RE: [atn] [EXTERNAL] Embedding IP information in an IPv6 address (OMNI)
> 
> Hi Fred,
> I could not imagine how many governments would agree to share 1 block for specific purpose.
> Additionally, different governments would have 1000x different scalability needs.

The SLAs would be used within the scope of a *link*, and it is very likely that
different organizations would maintain separate links. For example, ICAO would
maintain a link for worldwide Air Traffic Management, but this would not overlap
with the link maintained for a metropolitan area's ground transportation. Very
similar to spatial reuse of IEEE 802.11 spectrum, it is not the case that defining a
single spectrum (or a single IPv6 prefix) would require shared use by all parties
in the world - to the contrary, each non-overlapping party would make their
own use of the spectrum/prefix independently of all others.

> I mean: it is not possible to just "request block for this purpose" upfront.
> The architecture should be scalable to add blocks ad-hoc in the future.

It is just like spatial reuse of wireless spectrum - you don’t add new spectrum
every time someone wants to set up their own access point when there can be
non-overlapping (re)use of a finite spectrum.

Fred

> Eduard
> > From: ipv6 [mailto:[email-masked]] On Behalf Of Templin (US), Fred L
> > Sent: 17 октября 2020 г. 20:01
> > To: Bob Hinden <[email-masked]>
> > Cc: IPv6 List <[email-masked]>; [email-masked]
> > Subject: RE: [atn] [EXTERNAL] Embedding IP information in an IPv6 address
> > (OMNI)
> >
> > Hi Bob,
> >
> > > From: Bob Hinden [mailto:[email-masked]]
> > > Sent: Saturday, October 17, 2020 9:47 AM
> > > Cc: Bob Hinden <[email-masked]>; Manfredi (US), Albert E
> > > <[email-masked]>; IPv6 List <[email-masked]>; Ole Trøan
> > > <[email-masked]>; [email-masked]
> > > Subject: Re: [atn] [EXTERNAL] Embedding IP information in an IPv6
> > > address (OMNI)
> > >
> > > Fred,
> > >
> > > > On Oct 17, 2020, at 9:01 AM, Templin (US), Fred L
> > <[email-masked]> wrote:
> > > >
> > > > Bob, it looks like our notes crossed at approximately the same time,
> > > > but I would say the same thing to you that I just said to Bert - we
> > > > will want all four of LLAs (for the control plane), SLAs (for the OAL) and
> > ULAs/GUAs (for end-system addressing).
> > >
> > > I think we are saying you are asking for too much.
> >
> > The ask is to bring SLAs off mothballs and back into service - it would be a good
> > use of an otherwise wasted space.
> >
> > > > About your scale calculations, there will be far more terrestrial
> > > > vehicles, urban air mobility vehicles, drones, pedestrians etc. than
> > > > there are the number of aircraft currently worldwide. But, scale is
> > > > just one dimension of the problem space and the more important dimension
> > is *function*.
> > >
> > > Where is the problem statement for this?
> >
> > https://datatracker.ietf.org/doc/draft-ietf-ipwave-vehicular-networking/
> >
> > > This is far beyond what was I understood was called for in the OMNI
> > > liaison letter (https://datatracker.ietf.org/liaison/1676/ ) that we
> > > thought the OMNI draft was focused on.  The liaison letter talks about aircraft,
> > not vehicles, drones, pedestrians, etc.
> > >
> > > I read what you are saying is a mobility solution for everything.
> >
> > What we have been designing for the aircraft domain appears to be a good fit
> > for other mobility domains as well, with the above draft as evidence. I believe
> > we can satisfy the aircraft in the near term while still allowing for more general-
> > purpose mobility applicability.
> >
> > Thanks - Fred
> >
> > > Bob
> > >
> > >
> > > >
> > > > Thanks - Fred
> > > >
> > > >> From: atn [mailto:[email-masked]] On Behalf Of Bob Hinden
> > > >> Sent: Saturday, October 17, 2020 8:52 AM
> > > >> To: Manfredi (US), Albert E <[email-masked]>
> > > >> Cc: IPv6 List <[email-masked]>; Ole Trøan <[email-masked]>;
> > > >> Bob Hinden <[email-masked]>; [email-masked]
> > > >> Subject: Re: [atn] [EXTERNAL] Embedding IP information in an IPv6
> > > >> address (OMNI)
> > > >>
> > > >> Bert,
> > > >>
> > > >>> On Oct 16, 2020, at 2:47 PM, Manfredi (US), Albert E
> > <[email-masked]> wrote:
> > > >>>
> > > >>>> I would challenge you to make OMNI entirely free from semantic
> > > >>>> addresses. That would also help the working group understand
> > > >>> I think it's a matter of speed and simplicity, no? You avoid that
> > > >>> extra protocol, to assign addresses. Same idea as embedding the
> > > MAC
> > > >> into the IPv6 address. But it's true that the IETF likes to stay away from
> > semantic addresses.
> > > >>>
> > > >>> The path of least resistance, from all the back and forth, as of
> > > >>> now, seems to be to either use ULAs, or to request a new /10 for
> > > this
> > > >> new purpose.
> > > >>
> > > >> I did some searching, found that there are currently about 500K aircraft of
> > all types (general aviation, commercial, military, etc.).
> > > >> Allocating a /10 seems excessive to me for this even with a lot of growth.
> > > >>
> > > >> Using ULAs would be fine.   This might even be a good justification to use
> > the other half of the ULA space as I suspect the ICAO
> > > could
> > > >> be an allocation authority.
> > > >>
> > > >> Bob
> > > >>
> > > >>
> > > >
> >
> > --------------------------------------------------------------------
> > IETF IPv6 working group mailing list
> > [email-masked]
> > Administrative Requests: https://www.ietf.org/mailman/listinfo/ipv6
> > --------------------------------------------------------------------

---

From: "Templin (US), Fred L" <[email-masked]>
Date: Mon, 19 Oct 2020 17:52:29 +0000

Michael,

> From: atn [mailto:[email-masked]] On Behalf Of Michael Richardson
> Sent: Monday, October 19, 2020 10:37 AM
> To: IPv6 List <[email-masked]>; [email-masked]
> Subject: [EXTERNAL] Re: [atn] Embedding IP information in an IPv6 address (OMNI)
> 
> 
> Bob Hinden <[email-masked]> wrote:
>     > I think most people read SLA as Site-Local Address, especially since
>     > you are proposing to use the prefix defined in RFC3513:
> 
> Yes, I keep saying to Fred, that overloading SLA is a recipe for
> misunderstanding.   I think Fred has fixated on those three letters though.

I can step away from "SLA" if that is the main objection - I have just proposed
"DLA" for "Domain-Local Addresses". My understanding was that site-locals
were deprecated largely due to lack of a crisp definition for "site", but I can
give a very crisp definition for what constitutes a "Domain" within the
context of OMNI. Would that satisfy the concern?

Thanks - Fred

> Bob, can you file away all the historical objections to SLA, and can we just
> use another name.
> 
> Fred needs a /10 with some new name and new semantics.
>      Reusing FEC0::/10 is ONE option, given that it's just sitting there rotting.
>      Allocating another prefix that satisfies the needs of OMNI is another.
> 
> --
> ]               Never tell me the odds!                 | ipv6 mesh networks [
> ]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
> ]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [